Name:           perl-Panotools-Script
Version:        0.14
Release:        1%{?dist}
Summary:        Panorama Tools scripting
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Panotools-Script/
Source0:        http://www.cpan.org/modules/by-module/Panotools/Panotools-Script-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GraphViz) >= 1
BuildRequires:  perl(Image::Size) >= 2.9
Requires:       perl(GraphViz) >= 1
Requires:       perl(Image::Size) >= 2.9
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# added manually
Requires:       hugin-base libpano13-tools ImageMagick enblend zenity autotrace desktop-file-utils
BuildRequires:  perl(Test::More) desktop-file-utils

%description
Panorama Tools script files are used by several tools, including
PTStitcher, PTOptimizer, autooptimiser, nona and PTmender.

%prep
%setup -q -n Panotools-Script-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# added manually
desktop-file-install --vendor="fedora" \
  --dir=%{buildroot}/%{_datadir}/applications desktop/*.desktop

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

# added manually
%post
update-desktop-database &> /dev/null ||:

# added manually
%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*
# added manually
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*

%changelog
* Mon Jun 09 2008 Bruno Postle <bruno@postle.net> 0.14-1
- Specfile autogenerated by cpanspec 1.75.
